Name:           wandio
Version:        1.0.4
Release:        2%{?dist}
Summary:        Library for transparently reading and writing to files using a variety of supported compression methods. 
Group:          System Environment/Libraries
License:        GPLv2
URL:            http://research.wand.net.nz/software/libwandio.php
Source0:	http://research.wand.net.nz/software/wandio/wandio-1.0.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc gcc-c++ zlib-devel bzip2-devel libcurl-devel lzo-devel

%description
Libwandio is a software library written in C that provides an API for transparently
reading from and writing to files using a variety of supported compression methods. 
Provided pthreads are available, I/O performance will be improved by doing any
compression and/or decompression using a separate thread.  Libwandio supports the 
following compression methods, as long as the development libraries are installed 
on your machine at compile time:
zlib
bzip2
lzo (write-only)
lzma
http (read-only)

%package devel
Summary:        Development files for the libwandio library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}

%description devel
Libwandio is a software library written in C that provides an API for transparently
reading from and writing to files using a variety of supported compression methods. 
Provided pthreads are available, I/O performance will be improved by doing any
compression and/or decompression using a separate thread. 

This package contains development files needed for libwandio.

%prep
%setup -q

%build
%configure --disable-static --enable-shared --disable-rpath 
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#%check
#make check test


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS INSTALL README
%{_libdir}/libwandio.so*
%{_bindir}/wandiocat

%files devel
%defattr(-,root,root,-)
%{_includedir}/wandio.h

%changelog
* Thu Oct 11 2018 Clinton Work <clinton@scripty.com>
- Added Buildrequires gcc and gcc-c++ for Feodra 29 mock builds
* Fri Apr 06 2018 Clinton Work <clinton@scripty.com>
- Updated to version 1.0.4
* Wed Jun 15 2016 Clinton Work <clinton@scripty.com>
- Create fedora spec file

